<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <div id="app">
      <h2>Invertir mensaje</h2>
      <input type="text" v-model="mensaje" />
      <br />
      <span>Mensaje: {{mensaje}}</span>
      <br />
      <span>Mensaje invertido: {{invertirMensaje}}</span>
      <hr />
      <div v-bind:class="{ active: isActive, 'text-danger': hasError }">
        <button v-on:click="{contador++}">+</button>
        <button v-on:click="{contador--}">-</button>
        <br />
        <h2>{{contador}}</h2>
      </div>
      <hr />
      <div v-bind:class="classObject">
        <p>
          Lorem ipsum dolor sit amet consectetur, adipisicing elit. Blanditiis,
          culpa quo rem velit ullam ipsam eveniet quas animi minima sed sapiente
          aut provident? Unde aut at, ratione consectetur incidunt id.
        </p>
      </div>
      <hr />
      <div v-bind:class="color">
        <p>Lorem ipsum dolor sit amet.</p>
      </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script src="./index.js"></script>
  </body>
</html>
